Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet
Class XmlSubTask

    java.lang.Object
      xdoclet.DocletSupport
          xdoclet.SubTask
              xdoclet.TemplateSubTask
                  xdoclet.XmlSubTask

All Implemented Interfaces:
  Serializable

public class XmlSubTask
extends TemplateSubTask

Version:
  $Revision: 1.19 $
Author:
  Ara Abrahamian (ara_e@email.com)
See Also:
  Serialized Form
ant.element
  name="xml" parent="xdoclet.DocletTask" display-name="Standard Subtask for XML generation"
created
  Oct 13, 2001

Nested Class Summary

Nested classes inherited from class xdoclet.TemplateSubTask
`TemplateSubTask.ExtentTypes, TemplateSubTask.OfType`

Field Summary

Fields inherited from class xdoclet.DocletSupport
`currentClassTag, currentFieldTag, currentMethodTag`

Constructor Summary
`XmlSubTask()`

Method Summary
`void` | `copyAttributesFrom(TemplateSubTask templateSrc)` Describe what the method does
`protected void` | `engineFinished()` Describe what the method does
`URL` | `getDtdURL()` Gets the DtdURL attribute of the XmlSubTask object.
`String` | `getPublicId()` Gets the PublicId attribute of the XmlSubTask object.
`String` | `getSchema()` Gets the Schema attribute of the XmlSubTask object.
`String` | `getSystemId()` Gets the SystemId attribute of the XmlSubTask object.
`boolean` | `getUseIds()` Gets the UseIds attribute of the XmlSubTask object.
`String` | `getXmlencoding()` Gets the Xmlencoding attribute of the XmlSubTask object.
`boolean` | `isValidateXML()` Gets the ValidateXML attribute of the XmlSubTask object.
`protected void` | `setDtdURL(URL dtdURL)` Sets the DtdURL attribute of the XmlSubTask object.
`protected void` | `setPublicId(String publicId)` Sets the PublicId attribute of the XmlSubTask object.
`void` | `setSchema(String schema)` Sets the Schema attribute of the XmlSubTask object.
`protected void` | `setSystemId(String systemId)` Sets the SystemId attribute of the XmlSubTask object.
`void` | `setUseIds(boolean useIds)` If this attribute is set to true, XDoclet will generate id attributes in the XML document.
`void` | `setValidateXML(boolean flag)` If this is set to true, the generated XML will be validated against its DTD or XML Schema.
`void` | `setXmlencoding(String xmlEncoding)` The encoding of the produced xml file.
`void` | `startProcess()` Describe what the method does

Methods inherited from class xdoclet.TemplateSubTask
`addOfType, addOfType, addPackageSubstitution, engineStarted, execute, generateForClass, getAcceptAbstractClasses, getAcceptInterfaces, getDestinationFile, getEngine, getExtent, getGeneratedFileName, getGenerationManager, getHavingClassTag, getOfType, getPackageSubstitutions, getSubTaskClassName, getTemplateURL, init, isPackageSubstitutionInheritanceSupported, isPrefixWithPackageStructure, javaFile, matchesGenerationRules, processInnerClasses, setAcceptAbstractClasses, setAcceptInterfaces, setDestinationFile, setEngine, setExtent, setExtentValue, setGenerationManager, setHavingClassTag, setOfType, setPackageSubstitutionInheritanceSupported, setPackageSubstitutions, setPrefixWithPackageStructure, setSubTaskClassName, setTemplateFile, setTemplateURL, startEngine, startProcessForAll, startProcessPerClass, validateOptions`

Methods inherited from class xdoclet.SubTask
`addConfigParam, getConfigParams, getConfigParamsAsMap, getContext, getDestDir, getMergeDir, getSubTaskName, getXJavaDoc, setDestDir, setMergeDir, setSubTaskName`

Methods inherited from class xdoclet.DocletSupport
`getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getCurrentTag, isDocletGenerated, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlSubTask

    public XmlSubTask()

Method Detail

### getUseIds

    public boolean getUseIds()

  Gets the UseIds attribute of the XmlSubTask object.

  Returns:
    The UseIds value

### getXmlencoding

    public String getXmlencoding()

  Gets the Xmlencoding attribute of the XmlSubTask object.

  Returns:
    The Xmlencoding value

### getDtdURL

    public URL getDtdURL()

  Gets the DtdURL attribute of the XmlSubTask object.

  Returns:
    The DtdURL value

### getPublicId

    public String getPublicId()

  Gets the PublicId attribute of the XmlSubTask object.

  Returns:
    The PublicId value

### getSystemId

    public String getSystemId()

  Gets the SystemId attribute of the XmlSubTask object.

  Returns:
    The SystemId value

### getSchema

    public String getSchema()

  Gets the Schema attribute of the XmlSubTask object.

  Returns:
    The Schema value

### isValidateXML

    public boolean isValidateXML()

  Gets the ValidateXML attribute of the XmlSubTask object.

  Returns:
    The ValidateXML value

### setUseIds

    public void setUseIds(boolean useIds)

  If this attribute is set to true, XDoclet will generate id attributes in the XML document. Note that this is only available in some subtasks.

  Parameters:
    `useIds` - The new UseIds value

### setXmlencoding

    public void setXmlencoding(String xmlEncoding)

  The encoding of the produced xml file. If your XML file uses international characters, you might want to set this to "ISO-8859-1".

  Parameters:
    `xmlEncoding` - The new Xmlencoding value

### setSchema

    public void setSchema(String schema)

  Sets the Schema attribute of the XmlSubTask object.

  Parameters:
    `schema` - The new Schema value

### setValidateXML

    public void setValidateXML(boolean flag)

  If this is set to true, the generated XML will be validated against its DTD or XML Schema.

  Parameters:
    `flag` - The new Validatexml value

### copyAttributesFrom

    public void copyAttributesFrom(TemplateSubTask templateSrc)

  Describe what the method does

  Overrides:
    `copyAttributesFrom` in class `TemplateSubTask`
  Parameters:
    `templateSrc` - Describe what the parameter does

### startProcess

    public void startProcess()
                      throws XDocletException

  Describe what the method does

  Overrides:
    `startProcess` in class `TemplateSubTask`
  Throws:
    `XDocletException` - Describe the exception

### setDtdURL

    protected void setDtdURL(URL dtdURL)

  Sets the DtdURL attribute of the XmlSubTask object.

  Parameters:
    `dtdURL` - The new DtdURL value

### setPublicId

    protected void setPublicId(String publicId)

  Sets the PublicId attribute of the XmlSubTask object.

  Parameters:
    `publicId` - The new PublicId value

### setSystemId

    protected void setSystemId(String systemId)

  Sets the SystemId attribute of the XmlSubTask object.

  Parameters:
    `systemId` - The new SystemId value

### engineFinished

    protected void engineFinished()
                           throws XDocletException

  Describe what the method does

  Overrides:
    `engineFinished` in class `TemplateSubTask`
  Throws:
    `XDocletException` - Describe the exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD